API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /developers/{developer_email}/apps/{app_name}/keys/{consumer_key}

Deletes a consumer key that belongs to an app.

Verb: DELETE

Auth: Basic Auth

Deletes a consumer key that belongs to an app. Once deleted, the consumer key cannot be used to access any API resources protected by Oauth policies.-

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/developers/{developer_email}/apps/{app_name}/keys/{consumer_key} -X DELETE
Sample Response:
{
  "apiProducts" : [ {
    "apiproduct" : "ApiProduct",
    "status" : "approved"
  }, {
    "apiproduct" : "ApiProduct_qa",
    "status" : "approved"
  } ],
  "attributes" : [ {
    "name" : "region",
    "value" : "south"
  }, {
    "name" : "country",
    "value" : "norway"
  } ],
  "consumerKey" : "GGAjbeS9tZRwRgojDdbiHYln4EEU8K8i",
  "consumerSecret" : "pgppv4OsarzfwY2x",
  "status" : "approved"
}
Response Payload Elements:
Name Description
apiProducts List of API products with which the app key is associated
apiproduct An API product in the list
status Status of the association between the app key and the API product: 'approved' or 'unapproved'
attributes Name'value pairs used to extend the defautl API product profile
consumerKey The value of the consumer key
consumerSecret The value of the consumer secret associated with the consumer key
status Status of the consumer key: 'approved' or 'pending'
Last updated: about 1 month ago